
%global pkg_name skylighting
%global pkgver %{pkg_name}-%{version}

%global skylightingcore skylighting-core-0.13.4.1
%global skylightingformatansi skylighting-format-ansi-0.1
%global skylightingformatblazehtml skylighting-format-blaze-html-0.1.1
%global skylightingformatcontext skylighting-format-context-0.1.0.2
%global skylightingformatlatex skylighting-format-latex-0.1
%global subpkgs %{skylightingcore} %{skylightingformatansi} %{skylightingformatblazehtml} %{skylightingformatcontext} %{skylightingformatlatex}

Name:           ghc-%{pkg_name}
Version:        0.13.4.1
Release:    1%{?dist}
Summary:        Syntax highlighting library

License:        GPL-2.0-or-later
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{skylightingcore}/%{skylightingcore}.tar.gz
Source2:        https://hackage.haskell.org/package/%{skylightingformatansi}/%{skylightingformatansi}.tar.gz
Source3:        https://hackage.haskell.org/package/%{skylightingformatblazehtml}/%{skylightingformatblazehtml}.tar.gz
Source4:        https://hackage.haskell.org/package/%{skylightingformatcontext}/%{skylightingformatcontext}.tar.gz
Source5:        https://hackage.haskell.org/package/%{skylightingformatlatex}/%{skylightingformatlatex}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-containers-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-binary-prof
BuildRequires:  ghc-containers-prof
%endif
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-xml-conduit-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-base64-bytestring-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-colour-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-safe-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-utf8-string-prof
BuildRequires:  ghc-xml-conduit-prof
%endif
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-text-devel
%if %{with ghc_prof}
BuildRequires:  ghc-ansi-terminal-prof
BuildRequires:  ghc-colour-prof
BuildRequires:  ghc-text-prof
%endif
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-text-devel
%if %{with ghc_prof}
BuildRequires:  ghc-blaze-html-prof
BuildRequires:  ghc-text-prof
%endif
BuildRequires:  ghc-text-devel
%if %{with ghc_prof}
BuildRequires:  ghc-text-prof
%endif
BuildRequires:  ghc-text-devel
%if %{with ghc_prof}
BuildRequires:  ghc-text-prof
%endif

%description
Skylighting is a syntax highlighting library with support for over one hundred
languages. It derives its tokenizers from XML syntax definitions used by KDE's
KSyntaxHighlighting framework, so any syntax supported by that framework can be
added. An optional command-line program is provided. Skylighting is intended to
be the successor to highlighting-kate. This package provides generated syntax
modules based on the KDE XML definitions provided by the 'skylighting-core'
package. As a result this package is licensed under the GPL.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l BSD-3-Clause %{skylightingcore}
%ghc_lib_subpackage -l BSD-3-Clause %{skylightingformatansi}
%ghc_lib_subpackage -l BSD-3-Clause %{skylightingformatblazehtml}
%ghc_lib_subpackage -l BSD-3-Clause %{skylightingformatcontext}
%ghc_lib_subpackage -l BSD-3-Clause %{skylightingformatlatex}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pkgver} -a1 -a2 -a3 -a4 -a5


%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.md changelog.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.4.1-1
- initial build
